CUDNN Frontend API 8.3.0

Public Types | Public Member Functions | Private Attributes | List of all members
nlohmann::detail::file_input_adapter Class Reference

`#include <json.hpp>`

Collaboration diagram for nlohmann::detail::file_input_adapter:

## Public Types
using | char_type = char

## Public Member Functions
| file_input_adapter (std::FILE *f) noexcept
| file_input_adapter (const file_input_adapter &)=delete
| file_input_adapter (file_input_adapter &&) noexcept=default
file_input_adapter & | operator= (const file_input_adapter &)=delete
file_input_adapter & | operator= (file_input_adapter &&)=delete
| ~file_input_adapter ()=default
std::char_traits< char >::int_type | get_character () noexcept

## Private Attributes
std::FILE * | m_file
| the file pointer to read from More...

## Detailed Description

Input adapter for stdio file access. This adapter read only 1 byte and do not use any buffer. This adapter is a very low level adapter.

Definition at line 5260 of file json.hpp.

## Member Typedef Documentation

## ◆ char_type

using nlohmann::detail::file_input_adapter::char_type = char

Definition at line 5263 of file json.hpp.

## Constructor & Destructor Documentation

## ◆ file_input_adapter() [1/3]

nlohmann::detail::file_input_adapter::file_input_adapter | ( | std::FILE * | f | ) |
| inlineexplicitnoexcept

Definition at line 5266 of file json.hpp.

## ◆ file_input_adapter() [2/3]

nlohmann::detail::file_input_adapter::file_input_adapter | ( | const file_input_adapter & |  | ) |
| delete

## ◆ file_input_adapter() [3/3]

nlohmann::detail::file_input_adapter::file_input_adapter | ( | file_input_adapter && |  | ) |
| defaultnoexcept

## ◆ ~file_input_adapter()

nlohmann::detail::file_input_adapter::~file_input_adapter | ( |  | ) |
| default

## Member Function Documentation

## ◆ get_character()

std::char_traits<char>::int_type nlohmann::detail::file_input_adapter::get_character | ( |  | ) |
| inlinenoexcept

Definition at line 5277 of file json.hpp.

## ◆ operator=() [1/2]

file_input_adapter& nlohmann::detail::file_input_adapter::operator= | ( | const file_input_adapter & |  | ) |
| delete

## ◆ operator=() [2/2]

file_input_adapter& nlohmann::detail::file_input_adapter::operator= | ( | file_input_adapter && |  | ) |
| delete

## Member Data Documentation

## ◆ m_file

std::FILE* nlohmann::detail::file_input_adapter::m_file
| private

the file pointer to read from

Definition at line 5284 of file json.hpp.

The documentation for this class was generated from the following file:

- json.hpp